; ------------- set output directories -------------
topdir='/net/dynamo/ypop'                       ;  top level YPOP
sscdir=concat_dir(topdir,'ssc')             ;  tsc versions SSC
sssdir=str_replace(sscdir,'ssc','sss')  ;  tsc version SSS   
set_logenv,'DIR_SXT_SSC',sscdir             ; default ENV for SSC
badlog=concat_dir('$SSW_SITE_LOGS','mk_ssc_bad.log')
set_logenv,'DIR_SXT_SDC','/net/dynamo/ypop/sdc_new'
set_logenv,'DIR_SXT_SFC','/net/dynamo/ypop/sfc_new'

; ---------------------------------------
delvarx,ss
;       ; SS is used to make short/partial runs for fast infrastructure tests
; ------------------------------------------------------

; days=rd_tfile('/net/dynamo/ssw/site/idl/ypop/tcs.dates')        ; dATEST OF INTEREST

days=[timegrid('1-jun-1998','28-jun-1998',/day,out='vms'), $
      timegrid('6-sep-1998','15-nov-1998',/day,out='vms'), $
      timegrid('1-jun-1999','1-jan-2000',/day,out='vms')]             

outdir=get_logenv('DIR_SXT_SSC')

for j=0,n_elements(days)-1 do begin
   sfrs=cdrom_files(day=days(j) , /sfr)
   if sfrs(0) eq '' then box_message,'No SFRs on cdrom..' else begin 
       box_message,['Working on day>> '+ days(j),sfrs]
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix=prefix, ifiles=sfrs, $
	       ss=ss, /yyyy
   endelse       
endfor

; now make the 8bit comprssed aversion
;sscfiles=file_list(sscdir,'ssc*')
;sxt_ssc2sss, sscfiles, /register, outdir=sssdir

end
