; ------------- set output directories -------------
topdir='/disk/sxt'                       ;  top level YPOP (MSU)

sscdir=concat_dir(topdir,'ssc')             ;  tsc versions SSC
sdcdir=concat_dir(topdir,'sdc_new')
sfcdir=concat_dir(topdir,'sfc_new')           
set_logenv,'DIR_SXT_SDC',sdcdir             ; new TM SDC's
set_logenv,'DIR_SXT_SSC',sscdir              
set_logenv,'DIR_SXT_SFC',sfcdir             ; virginal SFC
badlog=concat_dir('$SSW_SITE_LOGS','mk_ssc_bad.log')
; ---------------------------------------
delvarx,ss
;       ; SS is used to make short/partial runs for fast infrastructure tests
; ------------------------------------------------------
      ; 
days=['17-jan-97','18-jan-97','19-jan-97','20-jan-97','21-jan-97',$
      '30-jun-98','30-jun-95','30-jun-96','30-jun-96']
prefix='ssc'
for j=0,n_elements(days)-1 do begin
   sfrs=cdrom_files(day=days(j) , /sfr)
   if sfrs(0) eq '' then box_message,'No SFRs on cdrom..' else begin 
       box_message,['Working on day>> '+ days(j),sfrs]
       mk_ssc, outdir=get_logenv('DIR_SXT_SSC'), prefix=prefix, ifiles=sfrs, $
	       ss=ss,  /yyyy
   endelse       
endfor


end
